> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Midjourney V7 배경 제거

> - 이미지 배경을 자동으로 제거하여 투명 배경 이미지 생성
- 가장 간단한 모델, 이미지 한 장만 전달하면 됩니다
- 소스 작업에 의존하지 않고, 이미지 URL을 직접 전달
- prompt, speed 등의 매개변수를 지원하지 않습니다
- 비동기 처리 모드, 반환된 작업 ID로 [조회](/ko/api-manual/task-management/get-task-detail)

<Note>
  Midjourney에는 콘텐츠 검토 시스템이 내장되어 있습니다. 생성된 이미지 중 일부가 검토에 의해 필터링된 경우, 해당 요청에서 소비된 크레딧은 환불되지 않습니다. 프롬프트가 콘텐츠 가이드라인을 준수하는지 확인해 주세요.
</Note>


## OpenAPI

````yaml ko/api-manual/image-series/midjourney/mj-v7-remove-bg.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: mj-v7-remove-bg 인터페이스
  description: Midjourney V7 배경 제거 인터페이스
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 프로덕션
security:
  - bearerAuth: []
tags:
  - name: 이미지 생성
    description: AI 이미지 생성 관련 인터페이스
paths:
  /v1/images/generations:
    post:
      tags:
        - 이미지 생성
      summary: mj-v7-remove-bg 인터페이스
      description: >-
        - 이미지 배경을 자동으로 제거하여 투명 배경 이미지 생성

        - 가장 간단한 모델, 이미지 한 장만 전달하면 됩니다

        - 소스 작업에 의존하지 않고, 이미지 URL을 직접 전달

        - prompt, speed 등의 매개변수를 지원하지 않습니다

        - 비동기 처리 모드, 반환된 작업 ID로
        [조회](/ko/api-manual/task-management/get-task-detail)
      operationId: createImageGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              remove_bg:
                summary: 배경 제거
                value:
                  model: mj-v7-remove-bg
                  image_urls:
                    - https://example.com/photo.jpg
      responses:
        '200':
          description: 작업 생성 성공
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: 잘못된 요청 매개변수
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 미인증, 토큰 무효 또는 만료
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 쿼터 부족, 충전하세요
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 접근 거부
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: mj-v7-remove-bg'
                  type: invalid_request_error
        '429':
          description: 요청 속도 제한 초과
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 내부 서버 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - image_urls
      properties:
        model:
          type: string
          description: 모델 이름
          enum:
            - mj-v7-remove-bg
          default: mj-v7-remove-bg
          example: mj-v7-remove-bg
        image_urls:
          type: array
          description: |-
            입력 이미지 URL (첫 번째 사용)

            지원 형식: .png, .gif, .webp, .jpg, .jpeg
          items:
            type: string
            format: uri
          maxItems: 1
          example:
            - https://example.com/photo.jpg
        callback_url:
          type: string
          description: >-
            작업 완료 후 HTTPS 콜백 주소


            **콜백 시점:**

            - 작업 완료(completed), 실패(failed) 또는 취소(cancelled) 시 트리거

            - 과금 확인 완료 후 전송


            **보안 제한:**

            - HTTPS 프로토콜만 지원

            - 내부 네트워크 IP 주소로의 콜백 금지 (127.0.0.1, 10.x.x.x, 172.16-31.x.x,
            192.168.x.x 등)

            - URL 길이 최대 `2048`자


            **콜백 메커니즘:**

            - 타임아웃: `10`초

            - 실패 후 최대 `3`회 재시도 (실패 후 `1`초/`2`초/`4`초에 각각 재시도)

            - 콜백 응답 형식은 작업 조회 인터페이스 반환 형식과 동일

            - 콜백 주소가 2xx 상태 코드를 반환하면 성공, 기타 상태 코드는 재시도 트리거
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 작업 생성 타임스탬프
          example: 1757165031
        id:
          type: string
          description: 작업 ID
          example: task-unified-1757165031-mjv7
        model:
          type: string
          description: 실제 사용된 모델 이름
        object:
          type: string
          enum:
            - image.generation.task
          description: 작업 유형
        progress:
          type: integer
          description: 작업 진행률 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 작업 상태
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 오류 코드 식별자
            message:
              type: string
              description: 오류 메시지
            type:
              type: string
              description: 오류 유형
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 작업 취소 가능 여부
          example: true
        estimated_time:
          type: integer
          description: 예상 완료 시간(초)
          minimum: 0
          example: 45
    Usage:
      type: object
      properties:
        billing_rule:
          type: string
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 예상 소비 크레딧
          minimum: 0
          example: 1.8
        user_group:
          type: string
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##모든 인터페이스는 Bearer Token 인증이 필요합니다##

        **API Key 발급:**

        [API Key 관리 페이지](https://evolink.ai/dashboard/keys)에서 API Key를 발급받으세요

        **요청 헤더에 다음을 추가하세요:**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````